#ifndef PROCESSOR_H
#define PROCESSOR_H

#define MAX_LABEL	31

#define DOWN		0
#define UP		1
#define CHANGE		2

#define NOIP		0
#define IP		1
#define IPV4		2
#define IPV6		3

#define STOPPED		0
#define STARTED		1

typedef struct opstate
{
	struct opstate *next;
	int type;
	int match;
	int valid;
	char name[0];
} OPSTATE;

typedef struct opdev
{
	struct opdev *next;
	OPSTATE *states[3];
	char dev[0];

} OPDEV;

typedef struct opcond
{
	struct opcond *next;
	int start;
	int stop;
	int total;
	int currstate;
	int nextstate;
	int delay;
	int event;
	char label[MAX_LABEL+1];
	OPSTATE *states[0];
} OPCOND;

extern void *prcjob(void *data);
extern void *unixjob(void *data);
extern int prcprep(char *fn,char *scr,int sigfd,int max,int trace);
extern int termreq(void);
extern int statreq(char *ifc);
extern int v4req(char *ifc);
extern int v6req(char *ifc);

#endif
